Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetSNES

Gets the `SNES` instance associated with the line search.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetSNES(SNESLineSearch linesearch, SNES *snes)

Not Collective

## Input Parameter

- linesearch - the line search context

## Output Parameter

- snes - The `SNES` instance

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESType`, `SNESLineSearchSetVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

## Examples

src/snes/tutorials/ex15.c
src/snes/tutorials/ex1f.F90
src/snes/tutorials/ex3.c
src/ts/tutorials/ex27.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages